{% extends "templates/admin/base.html" %}

{% block title %}
Companies
{% endblock %}

{% block content %}

{% ifequal status "created"%}
<div class="row">
    <div class="col-md-12">
        <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-check"></i> Success!</h5>
            Data has been saved successfully.
        </div>
    </div>
</div>
{% endifequal %}

{% ifequal status "updated"%}
<div class="row">
    <div class="col-md-12">
        <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-check"></i> Success!</h5>
            Data has been saved successfully.
        </div>
    </div>
</div>
{% endifequal %}

{% ifequal status "error"%}
<div class="row">
    <div class="col-md-12">
        <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-ban"></i> Error while saving data!</h5>
            <b>{{error-message}}</b>
        </div>
    </div>
</div>
{% endifequal %}

<div class="row">
    <div class="col-md-12">
        <div class="card card-primary card-outline card-tabs">
            <form role="form" method="post" enctype="multipart/form-data" action="/admin/company/{{company.id}}">
                {{anti-forgery-field}}
                <div class="card-header p-0 pt-1 border-bottom-0">
                    <ul class="nav nav-tabs" id="custom-tabs-two-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active"
                               id="main"
                               data-toggle="pill"
                               role="tab"
                               href="#custom-tabs-main"
                               aria-controls="custom-tabs-main"
                               aria-selected="true">Main</a>
                        </li>
                        {% for locale in locales %}
                        <li class="nav-item">
                            <a class="nav-link"
                               data-toggle="pill"
                               role="tab"
                               id="tab.{{locale.name}}"
                               href="#custom-tabs-{{locale.name}}"
                               aria-controls="custom-tabs-{{locale.name}}"
                               aria-selected="false">{{locale.name}}</a>
                        </li>
                        {% endfor %}
                    </ul>
                </div>
                <div class="card-body">

                    <div class="tab-content" id="custom-tabs-two-tabContent">
                        <div class="tab-pane fade show active" id="custom-tabs-main" role="tabpanel" aria-labelledby="main">
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="name">Name</label>
                                    <input type="text" class="form-control" id="name" name="name"
                                           value="{{company.name}}">
                                </div>
                                <div class="form-group">
                                    <label for="logo">Logo</label>
                                    <div class="input-group">
                                        <div class="custom-file">
                                            <input type="file" class="custom-file-input" id="logo" name="logo">
                                            <label class="custom-file-label" for="logo">Choose file</label>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    {% image company company-logo%}
                                </div>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        {% for locale in locales %}
                        <div class="tab-pane fade"
                             id="custom-tabs-{{locale.name}}"
                             role="tabpanel"
                             aria-labelledby="tab.{{locale.name}}">
                            <div class="form-group">
                                <label for="i18n.{{locale.iso_code}}.name">Name</label>
                                <input type="text" class="form-control" id="i18n.{{locale.iso_code}}.name"
                                       name="i18n.{{locale.iso_code}}.name">
                            </div>
                            <div class="form-group">
                                <label for="i18n.{{locale.iso_code}}.description">Description (html)</label>
                                <textarea type="text" class="form-control" id="i18n.{{locale.iso_code}}.description"
                                          name="i18n.{{locale.iso_code}}.description" style="height:200px"></textarea>
                            </div>
                        </div>
                        {% endfor %}
                    </div>


                </div>
                <div class="card-footer">
                    <div class="btn-group">
                        <button type="submit" class="btn btn-primary">Save</button>
                        <a href="/admin/companies" class="btn btn-success">Cancel</a>
                    </div>

                </div>
            </form>
            <!-- /.card -->
        </div>
    </div>
</div>
{% endblock %}